/*Project leader: Marco Montecchi
             ENEA (Italy)
             email: marco.montecchi@enea.it

Algorithm3 to calculate the sun position described in Solar Energy 86 (2012) 1323-1337
            Roberto Grena
            ENEA (Italy)
            email: roberto.grena@enea.it

Italian Solar Radiation Atlas http://www.solaritaly.enea.it/indexEn.php
            Irena Balog and Giampaolo Caputo
            ENEA (Italy)
            email: irena.balog@enea.it  giampaolo.caputo@enea.it

Porting to Windows
             Alberto Mittiga
             ENEA (Italy)
             email: alberto.mittiga@enea.it


MeanPTC is a calculator of incidence and acceptance angles mean values, weighthed on DNI data.
MeanPTC includes an alghoritm for calculating the Sun position given the site coordinates and time,
    thus only DNI data are mandatory

   Copyright (C) 2023  Marco Montecchi

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
#ifndef MEANPTC_H
#define MEANPTC_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui { class MeanPTC; }
QT_END_NAMESPACE

class MeanPTC : public QMainWindow
{
    Q_OBJECT

public:
    MeanPTC(QWidget *parent = nullptr);
    ~MeanPTC();

public Q_SLOTS:
    void setZenAzi();
    void Algorithm3();
    void computingSunPos();
    void computing();
    void kernelComputing(double weigth);
    void kernelComputing2(double weight);
    void computingYear();
    void Averagetor();
    void thetasANDuS();
    void contributors();

private:
    Ui::MeanPTC *ui;
};
#endif // MEANPTC_H
